; probe parameters for a RAID product - 
;
; a product entry can use another entry for default parameters - 
; this is useful if some entries share some parameters, 
; so that the shared parameters can be moved to a common entry  
; example:
;   
;  [common1]             <== this defines a common entry with a defaultFirstSector
;  defaultFirstSector=0  
;
;  [entry1]
;  defaults=common1      <== this will use all parameters of common1 
;  defaultStripeSize=32  <== a new or overriden parameter 
;
;  [entry2]
;  defaults=common1 common2    <== this will use all parameters of common1 and then all parameters of common2 
;  defaultStripeSize=64        <== a new or overriden parameter 
;

; -----------------  available parameters -----------------------------------
; name=                   the name of the product
; type=                   RAID type (RAID0, RAID5 or JBOD)
; allowProbe=             can be probed? (0/1) 
; defaultFirstSector=     typical default first sector
; defaultStripeSize=       typical default stripe size in sectors
; defaultParityRotation=  typical default parity (one of:  none forward backward forwarddyn backwarddyn forwarddelay backwarddelay)
; probeFirstSectors=      first sectors to probe (example:  0 63 1024)
; probeStripeSizes=       stripe sizes to probe (example:  32 64 128)
; probeDiskOrder=         probe disk order? (0/1)
; probeParityRotations=   parity rotations to probe (example: forward backward forwarddelay)   



; -------------- entries to show in the user interface --------------------

[ids]

; JBODs
1=jbod

; RAID0 systems
2=winraid0
3=hwraid0
4=adaptec0
5=hp0
6=ami0
7=sil0
8=macraid0

; RAID5 systems
500=winraid5
501=hwraid5
502=adaptec5
503=hp5
504=ami5
505=sil5
506=promise5

; ------------------ the entries itself ----------------------------------

; ---- typical default parameters for all RAIDs (if not overriden) -----
[all]
name=RAID
defaultFirstSector=0
defaultStripeSize=128
allowProbe=1
probeFirstSectors=0 1024
probeStripeSizes=16 32 64 128 256
probeDiskOrder=0

[raid0]
name=RAID0
defaults=all
type=RAID0
defaultParityRotation=none
probeParityRotations=none

[raid5]
name=RAID5
defaults=all
type=RAID5
defaultParityRotation=backward
probeParityRotations=backward backwarddyn backwarddelay forward


[jbod]
type=JBOD
defaultFirstSector=0

; ------------------ Windows SW-RAIDs -------------------------------------
[winraid]
name=Windows SW-RAID
defaultFirstSector=63
probeFirstSectors=63

[winraid0]
defaults=raid0 winraid 

[winraid5]
defaults=raid5 winraid
defaultParityRotation=backwarddyn
probeParityRotations=backwarddyn


; ------------------ Mac OS X SW-RAIDs -------------------------------------
; The first 200 MB on each disk of the RAID are used for EFI - example:
; macbook-pro:~ nero$ diskutil list
; /dev/disk1
;   #:                       TYPE NAME                    SIZE       IDENTIFIER
;   0:      GUID_partition_scheme                        *3.8 Gi     disk1
;   1:                        EFI                         200.0 Mi   disk1s1
;   2:                 Apple_RAID                         3.4 Gi     disk1s2
;   3:                 Apple_Boot Boot OSX                128.0 Mi   disk1s3
; /dev/disk2
;   #:                       TYPE NAME                    SIZE       IDENTIFIER
;   0:      GUID_partition_scheme                        *3.8 Gi     disk2
;   1:                        EFI                         200.0 Mi   disk2s1
;   2:                 Apple_RAID                         3.4 Gi     disk2s2
;   3:                 Apple_Boot Boot OSX                128.0 Mi   disk2s3
; /dev/disk3
;   #:                       TYPE NAME                    SIZE       IDENTIFIER
;   0:                  Apple_HFS testraid               *6.9 Gi     disk3

[macraid]
name=Mac OS X SW-RAID
defaultFirstSector=0
defaultStripeSize=64
probeFirstSectors=0 409640
probeStripeSizes=32 64 128 256 512

[macraid0]
defaults=raid0 macraid

; ------------------ Generic HW-RAIDs -------------------------------------

[hwraid]
name=Generic HW-RAID
defaultFirstSector=0

[hwraid0]
defaults=raid0 hwraid

[hwraid5]
defaults=raid5 hwraid

; ------------------- Adaptec RAIDs ---------------------------------------

[adaptec]
name=Adaptec RAID
defaultFirstSector=0
probeFirstSectors=0

[adaptec0]
defaults=hwraid0 adaptec

[adaptec5]
defaults=hwraid5 adaptec
defaultParityRotation=backward
probeParityRotations=backward

; ------------------- HP/Compaq RAIDs ----------------------------------------

[hp]
name=HP/Compaq RAID
defaultFirstSector=1088
probeFirstSectors=1088

[hp0]
defaults=hwraid0 hp

[hp5]
defaults=hwraid5 hp
defaultParityRotation=backwarddelay
probeParityRotations=backwarddelay

; ------------------- AMI RAIDs ----------------------------------------

[ami]
name=AMI RAID

[ami0]
defaults=hwraid0 ami

[ami5]
defaults=hwraid5 ami
defaultParityRotation=backwarddyn
probeParityRotations=backwarddyn

; ------------------- Silicon Image RAIDs ----------------------------------------

[sil]
name=Silicon Image RAID
defaultFirstSector=0
probeFirstSectors=0

[sil0]
defaults=hwraid0 sil

[sil5]
defaults=hwraid5 sil
defaultParityRotation=forward
probeParityRotations=forward

; ------------------- Promise RAIDs ---------------------------------------

[promise]
name=Promise RAID
defaultFirstSector=0
probeFirstSectors=0

[promise5]
defaults=hwraid5 promise
defaultParityRotation=backward
probeParityRotations=backward


